Package org.drinkless.tdlib

# Class TdApi.UpdateAnimationSearchParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateAnimationSearchParameters

Enclosing class:
  `TdApi`

public static class TdApi.UpdateAnimationSearchParameters extends TdApi.Update
The parameters of animation search through getOption("animation_search_bot_username") bot has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `emojis`
  The new list of emojis suggested for searching.
  `String`
  `provider`
  Name of the animation search provider.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateAnimationSearchParameters()`
  The parameters of animation search through getOption("animation_search_bot_username") bot has changed.
  `UpdateAnimationSearchParameters(String provider, String[] emojis)`
  The parameters of animation search through getOption("animation_search_bot_username") bot has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### provider

    public String provider
    Name of the animation search provider.

  - ### emojis

    public String[] emojis
    The new list of emojis suggested for searching.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateAnimationSearchParameters

    public UpdateAnimationSearchParameters()
    The parameters of animation search through getOption("animation_search_bot_username") bot has changed.

  - ### UpdateAnimationSearchParameters

    public UpdateAnimationSearchParameters(String provider, String[] emojis)
    The parameters of animation search through getOption("animation_search_bot_username") bot has changed.
    Parameters:
      `provider` - Name of the animation search provider.
      `emojis` - The new list of emojis suggested for searching.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR